Bug 249176 - vim: Cannot find libperl.so
vim: Cannot find libperl.so
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-22 02:14 EDT by Brett
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: 7.1.211-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 02:15:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brett 2007-07-22 02:14:44 EDT
Description of problem:
Vim will not run both as root and a regular user it displays the following error:
[root@ughnz ~]# vim --version
vim: error while loading shared libraries: libperl.so: cannot open shared object
file: No such file or directory
[root@ughnz ~]#

Version-Release number of selected component (if applicable):
vim-minimal.i386 2:7.1.12-1.fc7 
perl.i386        4:5.8.8-18.fc7
perl-libs.i386   4:5.8.8-18.fc7

How reproducible:
Will do it all the time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Displays error message.

Expected results:
Should run.

Additional info:
[root@ughnz ~]# ldd /usr/bin/perl
        linux-gate.so.1 =>  (0x0012d000)
        libperl.so =>
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/libperl.so (0x0012e000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x0025f000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x00273000)
        libdl.so.2 => /lib/libdl.so.2 (0x0028c000)
        libm.so.6 => /lib/libm.so.6 (0x00291000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x002ba000)
        libutil.so.1 => /lib/libutil.so.1 (0x002e8000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x002ec000)
        libc.so.6 => /lib/libc.so.6 (0x00304000)
        /lib/ld-linux.so.2 (0x00110000)
[root@ughnz ~]#

[root@ughnz ~]# ls /usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/
av.h          embed.h     gv.h        keywords.h    op.h          perlio.h   
pp.h        regexp.h    thread.h     warnings.h
cc_runtime.h  embedvar.h  handy.h     libperl.so    opnames.h     perliol.h  
pp_proto.h  regnodes.h  uconfig.h    XSUB.h
config.h      EXTERN.h    hv.h        malloc_ctl.h  pad.h         perlsdio.h 
proto.h     scope.h     unixish.h
cop.h         fakesdio.h  INTERN.h    mg.h          patchlevel.h  perlsfio.h 
reentr.h    sperl.o     utf8.h
cv.h          fakethr.h   intrpvar.h  nostdio.h     perlapi.h     perlvars.h 
reentr.inc  sv.h        utfebcdic.h
dosish.h      form.h      iperlsys.h  opcode.h      perl.h        perly.h    
regcomp.h   thrdvar.h   util.h
[root@ughnz ~]#

PATH=/usr/kerberos/sbin:/usr/kerberos/bin:/usr/lib/ccache:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/lib/jre/bin:/usr/java/jdk1.5.0_05/bin:/root/bin
Comment 1 Karsten Hopp 2008-01-09 09:11:33 EST
Please try vim-7.1.211-1.fc7 from the testing repository and report success or
failures here.
Comment 2 Fedora Update System 2008-01-11 17:02:47 EST
vim-7.1.211-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vim'
Comment 3 Fedora Update System 2008-01-27 02:15:44 EST
vim-7.1.211-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.